Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
dragontalon0802

[Đã xong] Nhờ viết lisp chọn nhanh layer và move!

Các bài được khuyến nghị

Mình cần 1 lisp chọn nhanh layer bằng lệnh "4" enter và kích vào một đối tượng thuộc layer nào thì cad sẽ chuyển sang làm việc với layer đó.

Và một lisp có lệnh "m2" rồi chọn đối tượng, chỉ hướng di chuyển thì đối tượng sẽ move một khoảng 220. Do không viết được nên nhờ các bạn viết hộ nhé.

Cảm ơn các bạn nhiều.

Chúc một ngày vui vẻ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.652

Của bạn :

(Defun c:m2 () (command ".move" (ssget) "" "D" (polar '(0.0 0.0 0.0) (getangle "\nGoc move :" ) 220))(princ)) 
(defun c:4() (command "_Laymcur"))

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hungcuongtx    1

nhờ bạn Ketxu có thể cải tiến giúp mình cái lisp trên được không.

Mục đích của mình:

-chọn đối tượng

-nhấn lệnh xz

-chọn hướng di chuyển

+nếu nhấn "A" thì đối tượng sang trái 600

+nếu nhấn "S" thì đối tượng xuống đưới 600

+nếu nhấn "D" thì đối tượng sang phải 600

+nếu nhấn "W" thì đối tượng lên trên 600 (giống như chơi game vậy đó :P )

+sau khi nhấn phím di chuyển rồi thì có thể nhấn tiếp tục được, vd nhấn a di chuyển 600, nhấn tiếp a di chuyển 600 nữa,...

-thoát lệnh bằng Space.

5282011_120416_am.jpg

File Cad

Cám ơn nhiều!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.652

Tạm thời thế này, di chuyển = phím + space, thoát bằng 1 phím khác nào đó :

(Defun c:xz ( / ss ans)
(prompt "\nCh\U+1ECDn \U+0111\U+1ED1i t\U+01B0\U+1EE3ng :")
(setq ss (ssget) pt '(0.0 0.0 0.0))
(while (and (setq ans (strcase (getstring "H\U+01B0\U+1EDBng di chuy\U+1EC3n (A S D W) :"))) (wcmatch ans "A,D,W,S"))
(cond 
	((= ans "A")(command ".move" ss "" "D" (polar pt pi 600)))
	((= ans "D")(command ".move" ss "" "D" (polar pt 0 600)))
	((= ans "W")(command ".move" ss "" "D" (polar pt (/ pi 2) 600)))
	((= ans "S")(command ".move" ss "" "D" (polar pt (/(* 3 pi) 2) 600)))				
)
)
)

 

P/S : 1 yêu cầu khá ngộ ^^

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pdle    125

Lisp dùng hay lắm, Cảm ơn bạn nhiều nhé.

Em không hiểu là người yêu cầu cái lisp có lệnh 4 để làm gì khi mà nó chính là lệnh Laycur trong AutoCAD!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.652

Có khả năng là bạn ấy chưa biết laymcur, hoặc đơn giản muốn nó gọn hơn thôi :)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×